### Method

# Gtk Assistantset_page_type

deprecated: 4.10

#### Declaration [src]

    void
    gtk_assistant_set_page_type (
      GtkAssistant* assistant,
      GtkWidget* page,
      GtkAssistantPageType type
    )

#### Description [src]

Sets the page type for `page`.

The page type determines the page behavior in the `assistant`.

Deprecated since: 4.10

This widget will be removed in GTK 5

#### Parameters

`page`

  Type: `GtkWidget`

  A page of `assistant`.

  The data is owned by the caller of the method.

`type`

  Type: `GtkAssistantPageType`

  The new type for `page`.